using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Reply:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Reply
	{
		public Dd_Reply()
		{}
		#region Model
		private int _reply_id;
		private int _reply_userid;
		private string _reply_content;
		private string _reply_articleid;
		private int? _reply_type;
		private string _reply_guid;
		private DateTime? _reply_datetime= DateTime.Now;
		private DateTime? _reply_updatetime= DateTime.Now;
		private int? _reply_verify;
		private int? _reply_lock;
		private int? _reply_state;
		private int? _reply_delete;
		private int? _reply_count;
		private int? _reply_order;
		private string _reply_remark;
		/// <summary>
		/// 回应的ID
		/// </summary>
		public int Reply_ID
		{
			set{ _reply_id=value;}
			get{return _reply_id;}
		}
		/// <summary>
		/// 回应人ID
		/// </summary>
		public int Reply_UserID
		{
			set{ _reply_userid=value;}
			get{return _reply_userid;}
		}
		/// <summary>
		/// 回应的内容
		/// </summary>
		public string Reply_Content
		{
			set{ _reply_content=value;}
			get{return _reply_content;}
		}
		/// <summary>
		/// 被回应的文章ID包含文章类型ID和文章ID逗号隔开
		/// </summary>
		public string Reply_ArticleID
		{
			set{ _reply_articleid=value;}
			get{return _reply_articleid;}
		}
		/// <summary>
		/// 评价类型（0文章1图片2音乐3链接4视频）
		/// </summary>
		public int? Reply_Type
		{
			set{ _reply_type=value;}
			get{return _reply_type;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string Reply_Guid
		{
			set{ _reply_guid=value;}
			get{return _reply_guid;}
		}
		/// <summary>
		/// 创建时间(本记录的创建时间)
		/// </summary>
		public DateTime? Reply_Datetime
		{
			set{ _reply_datetime=value;}
			get{return _reply_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? Reply_UpDatetime
		{
			set{ _reply_updatetime=value;}
			get{return _reply_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? Reply_Verify
		{
			set{ _reply_verify=value;}
			get{return _reply_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? Reply_Lock
		{
			set{ _reply_lock=value;}
			get{return _reply_lock;}
		}
		/// <summary>
		/// 数据状态(0正常,1不正常)
		/// </summary>
		public int? Reply_State
		{
			set{ _reply_state=value;}
			get{return _reply_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? Reply_Delete
		{
			set{ _reply_delete=value;}
			get{return _reply_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? Reply_Count
		{
			set{ _reply_count=value;}
			get{return _reply_count;}
		}
		/// <summary>
		/// 记录排序(记录显示的顺序)
		/// </summary>
		public int? Reply_Order
		{
			set{ _reply_order=value;}
			get{return _reply_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string Reply_Remark
		{
			set{ _reply_remark=value;}
			get{return _reply_remark;}
		}
		#endregion Model

	}
}

